### Method

# AppStream Pool search

since: 0.9.7

#### Declaration [src]

    AsComponentBox*
    as_pool_search (
      AsPool* pool,
      const gchar* search
    )

#### Description [src]

Search for a list of components matching the search term. The list will be ordered by match score.

Available since: 0.9.7

#### Parameters

`search`

  Type: `const gchar*`

  A search string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsComponentBox`

An `AsComponentBox` of the found components.

The caller of the method takes ownership of the data, and is responsible for freeing it.